> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zapkey.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Profile Picture

> Update profile picture



## OpenAPI

````yaml openapi-v1  PUT /chat/updateProfilePicture/{instance}
openapi: 3.0.3
info:
  title: ZapKey
  version: 1.7.1
servers:
  - url: https://api.zapkey.io
security: []
paths:
  /chat/updateProfilePicture/{instance}:
    put:
      tags:
        - Chat Controller
      summary: Update Profile Picture
      description: Update profile picture
      operationId: updateProfilePicture
      parameters:
        - name: instance
          in: path
          required: true
          description: ID of the instance to connect
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                picture:
                  type: string
                  description: New spicture URL
      responses:
        '200':
          description: Ok
          content: {}
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apikey
      description: Your authorization key header

````